diff -crN gimp-1.0.0.orig/plug-ins/ripple/Imakefile gimp-1.0.0/plug-ins/ripple/Imakefile
*** gimp-1.0.0.orig/plug-ins/ripple/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/ripple/Imakefile	Thu Jul  9 21:39:44 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(ripple)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/rotate/Imakefile gimp-1.0.0/plug-ins/rotate/Imakefile
*** gimp-1.0.0.orig/plug-ins/rotate/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/rotate/Imakefile	Thu Jul  9 21:40:20 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(rotate)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/rotators/Imakefile gimp-1.0.0/plug-ins/rotators/Imakefile
*** gimp-1.0.0.orig/plug-ins/rotators/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/rotators/Imakefile	Thu Jul  9 21:40:50 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(rotators)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/scatter_hsv/Imakefile gimp-1.0.0/plug-ins/scatter_hsv/Imakefile
*** gimp-1.0.0.orig/plug-ins/scatter_hsv/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/scatter_hsv/Imakefile	Thu Jul  9 21:41:20 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(scatter_hsv)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/screenshot/Imakefile gimp-1.0.0/plug-ins/screenshot/Imakefile
*** gimp-1.0.0.orig/plug-ins/screenshot/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/screenshot/Imakefile	Thu Jul  9 21:41:56 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(screenshot)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/screenshot/screenshot.c gimp-1.0.0/plug-ins/screenshot/screenshot.c
*** gimp-1.0.0.orig/plug-ins/screenshot/screenshot.c	Fri May 29 01:09:16 1998
--- gimp-1.0.0/plug-ins/screenshot/screenshot.c	Sat Jul 11 10:18:46 1998
***************
*** 46,51 ****
--- 46,54 ----
  #include <unistd.h>
  #include "gtk/gtk.h"
  #include "libgimp/gimp.h"
+ #ifdef __EMX__
+ #include <process.h>
+ #endif
  
  /* Defines */
  #define PLUG_IN_NAME        "extension_screenshot"
***************
*** 270,275 ****
--- 273,279 ----
      }
    xwdargv[i] = NULL;
    
+ #ifndef __EMX__
    /* fork off a xwd process */
    if ((pid = fork ()) < 0)
      {
***************
*** 284,289 ****
--- 288,301 ----
        return;
      }
    else
+ #else /* __EMX__ */
+   pid = spawnvp (P_NOWAIT, XWD, xwdargv);
+   if (pid == -1)
+     {
+       g_message ("screenshot: spawn failed: %s\n", g_strerror (errno));
+       return;
+     }
+ #endif
      {
        waitpid (pid, &status, 0);
  	      
diff -crN gimp-1.0.0.orig/plug-ins/script-fu/Imakefile gimp-1.0.0/plug-ins/script-fu/Imakefile
*** gimp-1.0.0.orig/plug-ins/script-fu/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/script-fu/Imakefile	Sat Jul 11 16:03:54 1998
***************
*** 0 ****
--- 1,42 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_LIBS = ../dbbrowser/dbbrowser_utils.o
+ 
+ SRCS = \
+         interp_md5.c            \
+         interp_regex.c          \
+         interp_slib.c           \
+         interp_sliba.c          \
+         interp_trace.c          \
+         script-fu.c             \
+         script-fu-console.c     \
+         script-fu-scripts.c     \
+         script-fu-server.c      \
+         regex.c
+ 
+ OBJS = \
+         interp_md5.o            \
+         interp_regex.o          \
+         interp_slib.o           \
+         interp_sliba.o          \
+         interp_trace.o          \
+         script-fu.o             \
+         script-fu-console.o     \
+         script-fu-scripts.o     \
+         script-fu-server.o      \
+         regex.o
+ 
+ ComplexProgramTarget(script-fu)
+ 
+ #define IHaveSubdirs
+ #define PassCDebugFlags
+ 
+ SUBDIRS = scripts
+ 
+ MakeSubdirs($(SUBDIRS))
+ 
diff -crN gimp-1.0.0.orig/plug-ins/script-fu/script-fu-console.c gimp-1.0.0/plug-ins/script-fu/script-fu-console.c
*** gimp-1.0.0.orig/plug-ins/script-fu/script-fu-console.c	Thu May 28 17:03:54 1998
--- gimp-1.0.0/plug-ins/script-fu/script-fu-console.c	Sun Sep 13 08:18:38 1998
***************
*** 531,537 ****
--- 531,541 ----
  	{
  	  gimp_message ("Unable to open SIOD output pipe");
  	}
+ #ifndef __EMX__
        else if ((siod_output = fdopen (siod_output_pipe [1], "w")) == NULL)
+ #else
+       else if ((siod_output = fdopen (siod_output_pipe [1], "wt")) == NULL)
+ #endif
  	{
  	  gimp_message ("Unable to open a stream on the SIOD output pipe");
  	  siod_output = stdout;
diff -crN gimp-1.0.0.orig/plug-ins/script-fu/script-fu-scripts.c gimp-1.0.0/plug-ins/script-fu/script-fu-scripts.c
*** gimp-1.0.0.orig/plug-ins/script-fu/script-fu-scripts.c	Thu May 28 17:03:56 1998
--- gimp-1.0.0/plug-ins/script-fu/script-fu-scripts.c	Sat Jul 11 14:24:26 1998
***************
*** 196,202 ****
--- 196,206 ----
  
        next_token = local_path;
  
+ #ifndef __EMX__
        token = strtok (next_token, ":");
+ #else
+       token = strtok (next_token, ";");
+ #endif
  
        while (token)
  	{
***************
*** 257,263 ****
--- 261,271 ----
  
  	  g_free (path);
  
+ #ifndef __EMX__
  	  token = strtok (NULL, ":");
+ #else
+ 	  token = strtok (NULL, ";");
+ #endif
  	} /* while */
  
        g_free(local_path);
diff -crN gimp-1.0.0.orig/plug-ins/script-fu/scripts/Imakefile gimp-1.0.0/plug-ins/script-fu/scripts/Imakefile
*** gimp-1.0.0.orig/plug-ins/script-fu/scripts/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/script-fu/scripts/Imakefile	Thu Jul  9 18:26:02 1998
***************
*** 0 ****
--- 1,111 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../../../gimp.cf"
+ 
+ DATA1 = \
+ 	3d-outline.scm				\
+ 	3dTruchet.scm				\
+ 	add-bevel.scm				\
+ 	addborder.scm				\
+ 	alien-glow-arrow.scm			\
+ 	alien-glow-bar.scm			\
+ 	alien-glow-bullet.scm			\
+ 	alien-glow-button.scm			\
+ 	alien-glow-logo.scm			\
+ 	asc2img.scm				\
+ 	basic1-logo.scm				\
+ 	basic2-logo.scm				\
+ 	beavis.jpg				\
+ 	beveled-button.scm			\
+ 	beveled-pattern-arrow.scm		\
+ 	beveled-pattern-bullet.scm		\
+ 	beveled-pattern-button.scm		\
+ 	beveled-pattern-heading.scm		\
+ 	beveled-pattern-hrule.scm		\
+ 	blend-anim.scm				\
+ 	blended-logo.scm			\
+ 	bovinated-logo.scm			\
+ 	camo.scm				\
+ 	carve-it.scm				\
+ 	carved-logo.scm				\
+ 	chalk.scm				\
+ 	chip-away.scm				\
+ 	chrome-it.scm				\
+ 	chrome-logo.scm				\
+ 	circuit.scm				\
+ 	clothify.scm				\
+ 	coffee.scm				\
+ 	color-cycling.scm			\
+ 	comic-logo.scm				\
+ 	coolmetal-logo.scm			\
+ 	copy-visible.scm			\
+ 	crystal-logo.scm
+ 
+ DATA2 = \
+ 	distress_selection.scm			\
+ 	drop-shadow.scm				\
+ 	egg.scm					\
+ 	erase-rows.scm				\
+ 	fade-outline.scm			\
+ 	flatland.scm				\
+ 	font-map.scm				\
+ 	frosty-logo.scm				\
+ 	fuzzyborder.scm				\
+ 	gimp-headers.scm			\
+ 	gimp-labels.scm				\
+ 	glossy.scm				\
+ 	glowing-logo.scm			\
+ 	gradient-bevel-logo.scm			\
+ 	gradient-example.scm			\
+ 	grid-system.scm				\
+ 	hsv-graph.scm				\
+ 	i26-gunya2.scm				\
+ 	image-structure.scm			\
+ 	land.scm				\
+ 	lava.scm				\
+ 	line-nova.scm				\
+ 	old_photo.scm				\
+ 	mkbrush.scm				\
+ 	neon-logo.scm				\
+ 	perspective-shadow.scm			\
+ 	predator.scm
+ 
+ DATA3 = \
+ 	rendermap.scm				\
+ 	ripply-anim.scm				\
+ 	round-corners.scm			\
+ 	select_to_brush.scm			\
+ 	select_to_image.scm			\
+ 	selection-round.scm			\
+ 	slide.scm				\
+ 	sota-chrome-logo.scm			\
+ 	sphere.scm				\
+ 	spinning_globe.scm			\
+ 	starburst-logo.scm			\
+ 	starscape-logo.scm			\
+ 	swirltile.scm				\
+ 	swirly-pattern.scm			\
+ 	t-o-p-logo.scm				\
+ 	text-circle.scm				\
+ 	texture.jpg				\
+ 	texture1.jpg				\
+ 	texture2.jpg				\
+ 	texture3.jpg				\
+ 	textured-logo.scm			\
+ 	title-header.scm			\
+ 	tileblur.scm				\
+ 	trochoid.scm				\
+ 	truchet.scm				\
+ 	unsharp-mask.scm			\
+ 	waves-anim.scm				\
+ 	weave.scm				\
+ 	xach-effect.scm
+ 
+ /* $(DATA1) + $(DATA2) + $(DATA3) is too long, so split it */
+ InstallMultiple($(DATA1),$(GIMPDATADIR)/scripts)
+ InstallMultiple($(DATA2),$(GIMPDATADIR)/scripts)
+ InstallMultiple($(DATA3),$(GIMPDATADIR)/scripts)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/semiflatten/Imakefile gimp-1.0.0/plug-ins/semiflatten/Imakefile
*** gimp-1.0.0.orig/plug-ins/semiflatten/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/semiflatten/Imakefile	Thu Jul  9 22:25:30 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(semiflatten)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/sgi/Imakefile gimp-1.0.0/plug-ins/sgi/Imakefile
*** gimp-1.0.0.orig/plug-ins/sgi/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/sgi/Imakefile	Thu Jul  9 22:26:46 1998
***************
*** 0 ****
--- 1,12 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SRCS = sgi.c sgilib.c
+ OBJS = sgi.o sgilib.o
+ 
+ ComplexProgramTarget(sgi)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/sgi/sgi.c gimp-1.0.0/plug-ins/sgi/sgi.c
*** gimp-1.0.0.orig/plug-ins/sgi/sgi.c	Fri Apr 24 10:18:44 1998
--- gimp-1.0.0/plug-ins/sgi/sgi.c	Sat Jul 11 10:46:02 1998
***************
*** 117,128 ****
--- 117,132 ----
   * 'main()' - Main entry - just call gimp_main()...
   */
  
+ #if 0
  int
  main(int  argc,		/* I - Number of command-line args */
       char *argv[])	/* I - Command-line args */
  {
    return (gimp_main(argc, argv));
  }
+ #else
+ MAIN()
+ #endif
  
  
  /*
diff -crN gimp-1.0.0.orig/plug-ins/sharpen/Imakefile gimp-1.0.0/plug-ins/sharpen/Imakefile
*** gimp-1.0.0.orig/plug-ins/sharpen/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/sharpen/Imakefile	Thu Jul  9 22:27:22 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(sharpen)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/sharpen/sharpen.c gimp-1.0.0/plug-ins/sharpen/sharpen.c
*** gimp-1.0.0.orig/plug-ins/sharpen/sharpen.c	Tue Apr 28 11:50:18 1998
--- gimp-1.0.0/plug-ins/sharpen/sharpen.c	Sat Jul 11 10:46:44 1998
***************
*** 219,230 ****
--- 219,234 ----
   * 'main()' - Main entry - just call gimp_main()...
   */
  
+ #if 0
  int
  main(int  argc,		/* I - Number of command-line args */
       char *argv[])	/* I - Command-line args */
  {
    return (gimp_main(argc, argv));
  }
+ #else
+ MAIN()
+ #endif
  
  
  /*
diff -crN gimp-1.0.0.orig/plug-ins/shift/Imakefile gimp-1.0.0/plug-ins/shift/Imakefile
*** gimp-1.0.0.orig/plug-ins/shift/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/shift/Imakefile	Thu Jul  9 22:27:56 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(shift)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/sinus/Imakefile gimp-1.0.0/plug-ins/sinus/Imakefile
*** gimp-1.0.0.orig/plug-ins/sinus/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/sinus/Imakefile	Sat Jul 11 16:06:42 1998
***************
*** 0 ****
--- 1,11 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_LIBS = -L../megawidget -lmegawidget
+ 
+ SimpleProgramTarget(sinus)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/smooth_palette/Imakefile gimp-1.0.0/plug-ins/smooth_palette/Imakefile
*** gimp-1.0.0.orig/plug-ins/smooth_palette/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/smooth_palette/Imakefile	Thu Jul  9 22:30:42 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(smooth_palette)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/snoise/Imakefile gimp-1.0.0/plug-ins/snoise/Imakefile
*** gimp-1.0.0.orig/plug-ins/snoise/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/snoise/Imakefile	Thu Jul  9 22:31:10 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(snoise)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/snp/Imakefile gimp-1.0.0/plug-ins/snp/Imakefile
*** gimp-1.0.0.orig/plug-ins/snp/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/snp/Imakefile	Thu Jul  9 22:31:40 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(snp)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/sobel/Imakefile gimp-1.0.0/plug-ins/sobel/Imakefile
*** gimp-1.0.0.orig/plug-ins/sobel/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/sobel/Imakefile	Thu Jul  9 22:32:10 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(sobel)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/sparkle/Imakefile gimp-1.0.0/plug-ins/sparkle/Imakefile
*** gimp-1.0.0.orig/plug-ins/sparkle/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/sparkle/Imakefile	Thu Jul  9 22:32:44 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(sparkle)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/spread/Imakefile gimp-1.0.0/plug-ins/spread/Imakefile
*** gimp-1.0.0.orig/plug-ins/spread/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/spread/Imakefile	Thu Jul  9 22:33:20 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(spread)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/struc/Imakefile gimp-1.0.0/plug-ins/struc/Imakefile
*** gimp-1.0.0.orig/plug-ins/struc/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/struc/Imakefile	Thu Jul  9 18:29:16 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(struc)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/sunras/Imakefile gimp-1.0.0/plug-ins/sunras/Imakefile
*** gimp-1.0.0.orig/plug-ins/sunras/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/sunras/Imakefile	Thu Jul  9 22:34:00 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(sunras)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/tga/Imakefile gimp-1.0.0/plug-ins/tga/Imakefile
*** gimp-1.0.0.orig/plug-ins/tga/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/tga/Imakefile	Thu Jul  9 22:34:36 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(tga)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/threshold_alpha/Imakefile gimp-1.0.0/plug-ins/threshold_alpha/Imakefile
*** gimp-1.0.0.orig/plug-ins/threshold_alpha/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/threshold_alpha/Imakefile	Thu Jul  9 22:35:14 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(threshold_alpha)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/tiff/Imakefile gimp-1.0.0/plug-ins/tiff/Imakefile
*** gimp-1.0.0.orig/plug-ins/tiff/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/tiff/Imakefile	Sat Jul 11 16:07:38 1998
***************
*** 0 ****
--- 1,11 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_LIBS = -ltiff
+ 
+ SimpleProgramTarget(tiff)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/tile/Imakefile gimp-1.0.0/plug-ins/tile/Imakefile
*** gimp-1.0.0.orig/plug-ins/tile/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/tile/Imakefile	Thu Jul  9 22:35:46 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(tile)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/tileit/Imakefile gimp-1.0.0/plug-ins/tileit/Imakefile
*** gimp-1.0.0.orig/plug-ins/tileit/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/tileit/Imakefile	Thu Jul  9 22:36:18 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(tileit)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/tiler/Imakefile gimp-1.0.0/plug-ins/tiler/Imakefile
*** gimp-1.0.0.orig/plug-ins/tiler/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/tiler/Imakefile	Thu Jul  9 22:37:02 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(tiler)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/url/Imakefile gimp-1.0.0/plug-ins/url/Imakefile
*** gimp-1.0.0.orig/plug-ins/url/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/url/Imakefile	Thu Jul  9 22:37:30 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(url)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/url/url.c gimp-1.0.0/plug-ins/url/url.c
*** gimp-1.0.0.orig/plug-ins/url/url.c	Sat May 30 15:32:36 1998
--- gimp-1.0.0/plug-ins/url/url.c	Sat Jul 11 10:20:56 1998
***************
*** 24,29 ****
--- 24,32 ----
  #include <errno.h>
  #include "gtk/gtk.h"
  #include "libgimp/gimp.h"
+ #ifdef __EMX__
+ #include <process.h>
+ #endif
  
  /* Author: Josh MacDonald. */
  
***************
*** 139,144 ****
--- 142,148 ----
  
    tmpname = params[1].data.d_string;
  
+ #ifndef __EMX__
    if ((pid = fork()) < 0)
      {
        g_message ("url: fork failed: %s\n", g_strerror(errno));
***************
*** 151,156 ****
--- 155,168 ----
        _exit(127);
      }
    else
+ #else /* __EMX__ */
+   pid = spawnlp (P_NOWAIT, "wget", "wget", filename, "-O", tmpname, NULL);
+   if (pid == -1)
+     {
+       g_message ("url: spawn failed: %s\n", g_strerror(errno));
+       return -1;
+     }
+ #endif
      {
        waitpid (pid, &status, 0);
  
diff -crN gimp-1.0.0.orig/plug-ins/video/Imakefile gimp-1.0.0/plug-ins/video/Imakefile
*** gimp-1.0.0.orig/plug-ins/video/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/video/Imakefile	Thu Jul  9 22:38:14 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(video)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/vinvert/Imakefile gimp-1.0.0/plug-ins/vinvert/Imakefile
*** gimp-1.0.0.orig/plug-ins/vinvert/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/vinvert/Imakefile	Thu Jul  9 22:38:56 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(vinvert)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/vpropagate/Imakefile gimp-1.0.0/plug-ins/vpropagate/Imakefile
*** gimp-1.0.0.orig/plug-ins/vpropagate/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/vpropagate/Imakefile	Thu Jul  9 22:39:18 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(vpropagate)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/waves/Imakefile gimp-1.0.0/plug-ins/waves/Imakefile
*** gimp-1.0.0.orig/plug-ins/waves/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/waves/Imakefile	Sat Jul 11 16:08:24 1998
***************
*** 0 ****
--- 1,11 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_LIBS = -L../megawidget -lmegawidget
+ 
+ SimpleProgramTarget(waves)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/webbrowser/Imakefile gimp-1.0.0/plug-ins/webbrowser/Imakefile
*** gimp-1.0.0.orig/plug-ins/webbrowser/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/webbrowser/Imakefile	Thu Jul 16 00:00:26 1998
***************
*** 0 ****
--- 1,12 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_LIBS = $(XMULIB)
+ 
+ SimpleProgramTarget(webbrowser)
+ InstallNonExecFile(web-browser.scm,$(GIMPDATADIR)/scripts)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/webbrowser/webbrowser.c gimp-1.0.0/plug-ins/webbrowser/webbrowser.c
*** gimp-1.0.0.orig/plug-ins/webbrowser/webbrowser.c	Mon Apr 13 13:44:06 1998
--- gimp-1.0.0/plug-ins/webbrowser/webbrowser.c	Sat Jul 11 10:24:16 1998
***************
*** 43,48 ****
--- 43,51 ----
  #include "gtk/gtk.h"
  #include "libgimp/gimp.h"
  
+ #ifdef __EMX__
+ #include <process.h>
+ #endif
  /* Browser program name -- start in case it's not already running */
  #define BROWSER_PROGNAME	"netscape"
  
***************
*** 192,197 ****
--- 195,201 ----
  static gint
  start_browser (char *prog, char *url)
  {
+ #ifndef __EMX__
      pid_t cpid;
  
      if ((cpid = fork()) == 0)
***************
*** 201,206 ****
--- 205,213 ----
      }
  
      return (cpid > 0);
+ #else
+     return (spawnlp(P_NOWAIT, prog, prog, url, NULL) != -1);
+ #endif
  }
  
  static gint
diff -crN gimp-1.0.0.orig/plug-ins/whirlpinch/Imakefile gimp-1.0.0/plug-ins/whirlpinch/Imakefile
*** gimp-1.0.0.orig/plug-ins/whirlpinch/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/whirlpinch/Imakefile	Thu Jul  9 22:40:58 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(whirlpinch)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/xd/Imakefile gimp-1.0.0/plug-ins/xd/Imakefile
*** gimp-1.0.0.orig/plug-ins/xd/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/xd/Imakefile	Sat Jul 11 16:10:00 1998
***************
*** 0 ****
--- 1,11 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_LIBS = -lxdelta -lgdbm
+ 
+ SimpleProgramTarget(xd)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/xd/xd.c gimp-1.0.0/plug-ins/xd/xd.c
*** gimp-1.0.0.orig/plug-ins/xd/xd.c	Sat May 30 15:32:36 1998
--- gimp-1.0.0/plug-ins/xd/xd.c	Sun Sep 13 15:38:26 1998
***************
*** 611,620 ****
--- 611,631 ----
  			      gint len)
  {
    gchar* foo = "/tmp/foo.xpm";
+ #ifdef __EMX__
+   GParam* params;
+   gint retvals;
+ #endif
    FILE* f;
  
    g_print ("gdk_pixmap_create_from_xpm: this proceedure is slow because Peter is a wuss.  it should be rewritten.");
  
+ #ifdef __EMX__
+   params = gimp_run_procedure ("gimp_temp_name",
+                                &retvals,
+                                PARAM_STRING, "xpm",
+                                PARAM_END);
+   foo = params[1].data.d_string;
+ #endif
    f = fopen (foo, "w");
  
    fwrite (segment, len, 1, f);
***************
*** 754,759 ****
--- 765,774 ----
      }
  
    /* Select the most recent version. */
+ #if 1
+ /* BUG? when xd->versions == 1 */
+   preview_selected_version = xd->versions - 1;
+ #endif
    gtk_list_select_item (GTK_LIST (plist), xd->versions - 1);
  
    gtk_main ();
diff -crN gimp-1.0.0.orig/plug-ins/xpm/Imakefile gimp-1.0.0/plug-ins/xpm/Imakefile
*** gimp-1.0.0.orig/plug-ins/xpm/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/xpm/Imakefile	Sat Jul 11 16:10:54 1998
***************
*** 0 ****
--- 1,11 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ ADD_LIBS = -lXpm
+ 
+ SimpleProgramTarget(xpm)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/xwd/Imakefile gimp-1.0.0/plug-ins/xwd/Imakefile
*** gimp-1.0.0.orig/plug-ins/xwd/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/xwd/Imakefile	Thu Jul  9 22:41:36 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(xwd)
+ 
diff -crN gimp-1.0.0.orig/plug-ins/zealouscrop/Imakefile gimp-1.0.0/plug-ins/zealouscrop/Imakefile
*** gimp-1.0.0.orig/plug-ins/zealouscrop/Imakefile	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/plug-ins/zealouscrop/Imakefile	Thu Jul  9 22:42:14 1998
***************
*** 0 ****
--- 1,9 ----
+ /*
+     Written for XFree86/OS2
+     Hung-Chi Chu <hcchu@r350.ee.ntu.edu.tw> 07/09/1998
+  */
+ 
+ #include "../plug-ins.tmpl"
+ 
+ SimpleProgramTarget(zealouscrop)
+ 
diff -crN gimp-1.0.0.orig/user_install.cmd gimp-1.0.0/user_install.cmd
*** gimp-1.0.0.orig/user_install.cmd	Thu Jan  1 00:00:00 1970
--- gimp-1.0.0/user_install.cmd	Sun Sep 13 01:31:48 1998
***************
*** 0 ****
--- 1,41 ----
+ @echo off
+ REM  Script to perform the default installation steps for the
+ REM   specified user home directory.
+ REM
+ REM  1) Create ~/.gimp if it doesn't exist
+ REM  2) Copy system gimprc file to ~/.gimp
+ REM  3) Create brushes, gradients, palettes, patterns, plug-ins subdirs
+ REM  4) Create the tmp subdirectory for disk-swapping undo buffers
+ REM  5) Copy the palette files in system palette directory
+ REM
+ 
+ echo "mkdir %2"
+ mkdir %2
+ 
+ echo "copy %1\gimprc_user %2\gimprc"
+ copy %1\gimprc_user %2\gimprc
+ 
+ echo "copy %1\gtkrc %2\gtkrc"
+ copy %1\gtkrc %2\gtkrc
+ 
+ echo "mkdir %2\brushes"
+ mkdir %2\brushes
+ echo "mkdir %2\gradients"
+ mkdir %2\gradients
+ echo "mkdir %2\palettes"
+ mkdir %2\palettes
+ echo "mkdir %2\patterns"
+ mkdir %2\patterns
+ echo "mkdir %2\plug-ins"
+ mkdir %2\plug-ins
+ echo "mkdir %2\gfig"
+ mkdir %2\gfig
+ echo "mkdir %2\tmp"
+ mkdir %2\tmp
+ echo "mkdir %2\scripts"
+ mkdir %2\scripts
+ echo "mkdir %2\gflares"
+ mkdir %2\gflares
+ 
+ echo "copy %1\palettes\*.* %2\palettes"
+ copy %1\palettes\*.* %2\palettes
